param.h File Reference
`#include <gwenhywfar/types.h>`
`#include <gwenhywfar/list1.h>`
`#include <gwenhywfar/list2.h>`
`#include <gwenhywfar/tree.h>`
`#include <gwenhywfar/db.h>`
`#include <gwenhywfar/xml.h>`
`#include <gwenhywfar/gwenhywfarapi.h>`
`#include <gwenhywfar/stringlist2.h>`
`#include <gwenhywfar/param_fns.h>`

Go to the source code of this file.

## Typedefs

typedef struct GWEN_PARAM | GWEN_PARAM

## Enumerations

enum | GWEN_PARAM_DATATYPE { GWEN_Param_DataType_Unknown = -1 , GWEN_Param_DataType_Int , GWEN_Param_DataType_Bool , GWEN_Param_DataType_Float , GWEN_Param_DataType_String }
enum | GWEN_PARAM_TYPE { GWEN_Param_Type_Unknown = -1 , GWEN_Param_Type_Simple , GWEN_Param_Type_Choice }

## Functions

GWENHYWFAR_API void | GWEN_Param_AddFlags (GWEN_PARAM *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Param_AddRuntimeFlags (GWEN_PARAM *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Param_Attach (GWEN_PARAM *p_struct)
GWENHYWFAR_API GWEN_PARAM * | GWEN_Param_copy (GWEN_PARAM *p_struct, const GWEN_PARAM *p_src)
GWENHYWFAR_API GWEN_PARAM_DATATYPE | GWEN_Param_DataType_fromString (const char *p_s)
GWENHYWFAR_API const char * | GWEN_Param_DataType_toString (GWEN_PARAM_DATATYPE p_i)
GWENHYWFAR_API GWEN_PARAM * | GWEN_Param_dup (const GWEN_PARAM *p_struct)
GWENHYWFAR_API void | GWEN_Param_free (GWEN_PARAM *p_struct)
GWENHYWFAR_API GWEN_PARAM * | GWEN_Param_fromDb (GWEN_DB_NODE *p_db)
GWENHYWFAR_API GWEN_PARAM * | GWEN_Param_fromXml (GWEN_XMLNODE *p_db)
GWENHYWFAR_API GWEN_STRINGLIST2 * | GWEN_Param_GetChoices (const GWEN_PARAM *p_struct)
GWENHYWFAR_API const char * | GWEN_Param_GetCurrentValue (const GWEN_PARAM *p_struct)
GWENHYWFAR_API GWEN_PARAM_DATATYPE | GWEN_Param_GetDataType (const GWEN_PARAM *p_struct)
GWENHYWFAR_API const char * | GWEN_Param_GetDefaultValue (const GWEN_PARAM *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Param_GetFlags (const GWEN_PARAM *p_struct)
GWENHYWFAR_API const char * | GWEN_Param_GetLongDescription (const GWEN_PARAM *p_struct)
GWENHYWFAR_API const char * | GWEN_Param_GetName (const GWEN_PARAM *p_struct)
GWENHYWFAR_API uint32_t | GWEN_Param_GetRuntimeFlags (const GWEN_PARAM *p_struct)
GWENHYWFAR_API const char * | GWEN_Param_GetShortDescription (const GWEN_PARAM *p_struct)
GWENHYWFAR_API GWEN_PARAM_TYPE | GWEN_Param_GetType (const GWEN_PARAM *p_struct)
GWENHYWFAR_API GWEN_PARAM_LIST * | GWEN_Param_List_dup (const GWEN_PARAM_LIST *p_src)
GWENHYWFAR_API GWEN_PARAM * | GWEN_Param_List_GetByName (const GWEN_PARAM_LIST *p_list, const char *p_cmp)
GWENHYWFAR_API GWEN_PARAM * | GWEN_Param_new (void)
GWENHYWFAR_API void | GWEN_Param_ReadDb (GWEN_PARAM *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Param_ReadXml (GWEN_PARAM *p_struct, GWEN_XMLNODE *p_db)
GWENHYWFAR_API void | GWEN_Param_SetChoices (GWEN_PARAM *p_struct, GWEN_STRINGLIST2 *p_src)
GWENHYWFAR_API void | GWEN_Param_SetCurrentValue (GWEN_PARAM *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Param_SetDataType (GWEN_PARAM *p_struct, GWEN_PARAM_DATATYPE p_src)
GWENHYWFAR_API void | GWEN_Param_SetDefaultValue (GWEN_PARAM *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Param_SetFlags (GWEN_PARAM *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Param_SetLongDescription (GWEN_PARAM *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Param_SetName (GWEN_PARAM *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Param_SetRuntimeFlags (GWEN_PARAM *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Param_SetShortDescription (GWEN_PARAM *p_struct, const char *p_src)
GWENHYWFAR_API void | GWEN_Param_SetType (GWEN_PARAM *p_struct, GWEN_PARAM_TYPE p_src)
GWENHYWFAR_API void | GWEN_Param_SubFlags (GWEN_PARAM *p_struct, uint32_t p_src)
GWENHYWFAR_API void | GWEN_Param_SubRuntimeFlags (GWEN_PARAM *p_struct, uint32_t p_src)
GWENHYWFAR_API int | GWEN_Param_toDb (const GWEN_PARAM *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Param_toXml (const GWEN_PARAM *p_struct, GWEN_XMLNODE *p_db)
GWENHYWFAR_API GWEN_PARAM * | GWEN_Param_Tree_GetByName (const GWEN_PARAM_TREE *p_tree, const char *p_cmp)
GWENHYWFAR_API GWEN_PARAM_TYPE | GWEN_Param_Type_fromString (const char *p_s)
GWENHYWFAR_API const char * | GWEN_Param_Type_toString (GWEN_PARAM_TYPE p_i)
GWENHYWFAR_API int | GWEN_Param_WriteDb (const GWEN_PARAM *p_struct, GWEN_DB_NODE *p_db)
GWENHYWFAR_API void | GWEN_Param_WriteXml (const GWEN_PARAM *p_struct, GWEN_XMLNODE *p_db)

## Typedef Documentation

## GWEN_PARAM

typedef struct GWEN_PARAM GWEN_PARAM

Definition at line 116 of file param.h.

## Enumeration Type Documentation

## GWEN_PARAM_DATATYPE

enum GWEN_PARAM_DATATYPE

Enumerator
GWEN_Param_DataType_Unknown |
GWEN_Param_DataType_Int |
GWEN_Param_DataType_Bool |
GWEN_Param_DataType_Float |
GWEN_Param_DataType_String |

Definition at line 123 of file param.h.

## GWEN_PARAM_TYPE

enum GWEN_PARAM_TYPE

Enumerator
GWEN_Param_Type_Unknown |
GWEN_Param_Type_Simple |
GWEN_Param_Type_Choice |

Definition at line 132 of file param.h.

## Function Documentation

## GWEN_Param_AddFlags()

GWENHYWFAR_API void GWEN_Param_AddFlags | ( | GWEN_PARAM * | p_struct,
|  | uint32_t | p_src )

Add flags. Use this function to add flags to the member "flags"

References GWENHYWFAR_API.

## GWEN_Param_AddRuntimeFlags()

GWENHYWFAR_API void GWEN_Param_AddRuntimeFlags | ( | GWEN_PARAM * | p_struct,
|  | uint32_t | p_src )

Add flags. Use this function to add flags to the member "runtimeFlags"

References GWENHYWFAR_API.

## GWEN_Param_Attach()

GWENHYWFAR_API void GWEN_Param_Attach | ( | GWEN_PARAM * | p_struct | ) |

References GWENHYWFAR_API.

## GWEN_Param_copy()

GWENHYWFAR_API GWEN_PARAM * GWEN_Param_copy | ( | GWEN_PARAM * | p_struct,
|  | const GWEN_PARAM * | p_src )

References GWENHYWFAR_API.

## GWEN_Param_DataType_fromString()

GWENHYWFAR_API GWEN_PARAM_DATATYPE GWEN_Param_DataType_fromString | ( | const char * | p_s | ) |

References GWENHYWFAR_API.

## GWEN_Param_DataType_toString()

GWENHYWFAR_API const char * GWEN_Param_DataType_toString | ( | GWEN_PARAM_DATATYPE | p_i | ) |

References GWENHYWFAR_API.

## GWEN_Param_dup()

GWENHYWFAR_API GWEN_PARAM * GWEN_Param_dup | ( | const GWEN_PARAM * | p_struct | ) |

References GWENHYWFAR_API.

## GWEN_Param_free()

GWENHYWFAR_API void GWEN_Param_free | ( | GWEN_PARAM * | p_struct | ) |

Destructor.

References GWENHYWFAR_API.

## GWEN_Param_fromDb()

GWENHYWFAR_API GWEN_PARAM * GWEN_Param_fromDb | ( | GWEN_DB_NODE * | p_db | ) |

References GWENHYWFAR_API.

## GWEN_Param_fromXml()

GWENHYWFAR_API GWEN_PARAM * GWEN_Param_fromXml | ( | GWEN_XMLNODE * | p_db | ) |

References GWENHYWFAR_API.

## GWEN_Param_GetChoices()

GWENHYWFAR_API GWEN_STRINGLIST2 * GWEN_Param_GetChoices | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "choices" (see GWEN_PARAM_choices)

References GWENHYWFAR_API.

## GWEN_Param_GetCurrentValue()

GWENHYWFAR_API const char * GWEN_Param_GetCurrentValue | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "currentValue" (see GWEN_PARAM_currentValue)

References GWENHYWFAR_API.

## GWEN_Param_GetDataType()

GWENHYWFAR_API GWEN_PARAM_DATATYPE GWEN_Param_GetDataType | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "dataType" (see GWEN_PARAM_dataType)

References GWENHYWFAR_API.

## GWEN_Param_GetDefaultValue()

GWENHYWFAR_API const char * GWEN_Param_GetDefaultValue | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "defaultValue" (see GWEN_PARAM_defaultValue)

References GWENHYWFAR_API.

## GWEN_Param_GetFlags()

GWENHYWFAR_API uint32_t GWEN_Param_GetFlags | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "flags" (see GWEN_PARAM_flags)

References GWENHYWFAR_API.

## GWEN_Param_GetLongDescription()

GWENHYWFAR_API const char * GWEN_Param_GetLongDescription | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "longDescription" (see GWEN_PARAM_longDescription)

References GWENHYWFAR_API.

## GWEN_Param_GetName()

GWENHYWFAR_API const char * GWEN_Param_GetName | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "name" (see GWEN_PARAM_name)

References GWENHYWFAR_API.

## GWEN_Param_GetRuntimeFlags()

GWENHYWFAR_API uint32_t GWEN_Param_GetRuntimeFlags | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "runtimeFlags" (see GWEN_PARAM_runtimeFlags)

References GWENHYWFAR_API.

## GWEN_Param_GetShortDescription()

GWENHYWFAR_API const char * GWEN_Param_GetShortDescription | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "shortDescription" (see GWEN_PARAM_shortDescription)

References GWENHYWFAR_API.

## GWEN_Param_GetType()

GWENHYWFAR_API GWEN_PARAM_TYPE GWEN_Param_GetType | ( | const GWEN_PARAM * | p_struct | ) |

Getter. Use this function to get the member "type" (see GWEN_PARAM_type)

References GWENHYWFAR_API.

## GWEN_Param_List_dup()

GWENHYWFAR_API GWEN_PARAM_LIST * GWEN_Param_List_dup | ( | const GWEN_PARAM_LIST * | p_src | ) |

References GWENHYWFAR_API.

## GWEN_Param_List_GetByName()

GWENHYWFAR_API GWEN_PARAM * GWEN_Param_List_GetByName | ( | const GWEN_PARAM_LIST * | p_list,
|  | const char * | p_cmp )

References GWENHYWFAR_API.

## GWEN_Param_new()

GWENHYWFAR_API GWEN_PARAM * GWEN_Param_new | ( | void |  | ) |

Constructor.

References GWENHYWFAR_API.

## GWEN_Param_ReadDb()

GWENHYWFAR_API void GWEN_Param_ReadDb | ( | GWEN_PARAM * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Param_ReadXml()

GWENHYWFAR_API void GWEN_Param_ReadXml | ( | GWEN_PARAM * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Param_SetChoices()

GWENHYWFAR_API void GWEN_Param_SetChoices | ( | GWEN_PARAM * | p_struct,
|  | GWEN_STRINGLIST2 * | p_src )

Setter. Use this function to set the member "choices" (see GWEN_PARAM_choices)

References GWENHYWFAR_API.

## GWEN_Param_SetCurrentValue()

GWENHYWFAR_API void GWEN_Param_SetCurrentValue | ( | GWEN_PARAM * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "currentValue" (see GWEN_PARAM_currentValue)

References GWENHYWFAR_API.

## GWEN_Param_SetDataType()

GWENHYWFAR_API void GWEN_Param_SetDataType | ( | GWEN_PARAM * | p_struct,
|  | GWEN_PARAM_DATATYPE | p_src )

Setter. Use this function to set the member "dataType" (see GWEN_PARAM_dataType)

References GWENHYWFAR_API.

## GWEN_Param_SetDefaultValue()

GWENHYWFAR_API void GWEN_Param_SetDefaultValue | ( | GWEN_PARAM * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "defaultValue" (see GWEN_PARAM_defaultValue)

References GWENHYWFAR_API.

## GWEN_Param_SetFlags()

GWENHYWFAR_API void GWEN_Param_SetFlags | ( | GWEN_PARAM * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "flags" (see GWEN_PARAM_flags)

References GWENHYWFAR_API.

## GWEN_Param_SetLongDescription()

GWENHYWFAR_API void GWEN_Param_SetLongDescription | ( | GWEN_PARAM * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "longDescription" (see GWEN_PARAM_longDescription)

References GWENHYWFAR_API.

## GWEN_Param_SetName()

GWENHYWFAR_API void GWEN_Param_SetName | ( | GWEN_PARAM * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "name" (see GWEN_PARAM_name)

References GWENHYWFAR_API.

## GWEN_Param_SetRuntimeFlags()

GWENHYWFAR_API void GWEN_Param_SetRuntimeFlags | ( | GWEN_PARAM * | p_struct,
|  | uint32_t | p_src )

Setter. Use this function to set the member "runtimeFlags" (see GWEN_PARAM_runtimeFlags)

References GWENHYWFAR_API.

## GWEN_Param_SetShortDescription()

GWENHYWFAR_API void GWEN_Param_SetShortDescription | ( | GWEN_PARAM * | p_struct,
|  | const char * | p_src )

Setter. Use this function to set the member "shortDescription" (see GWEN_PARAM_shortDescription)

References GWENHYWFAR_API.

## GWEN_Param_SetType()

GWENHYWFAR_API void GWEN_Param_SetType | ( | GWEN_PARAM * | p_struct,
|  | GWEN_PARAM_TYPE | p_src )

Setter. Use this function to set the member "type" (see GWEN_PARAM_type)

References GWENHYWFAR_API.

## GWEN_Param_SubFlags()

GWENHYWFAR_API void GWEN_Param_SubFlags | ( | GWEN_PARAM * | p_struct,
|  | uint32_t | p_src )

Sub flags. Use this function to sub flags from the member "flags"

References GWENHYWFAR_API.

## GWEN_Param_SubRuntimeFlags()

GWENHYWFAR_API void GWEN_Param_SubRuntimeFlags | ( | GWEN_PARAM * | p_struct,
|  | uint32_t | p_src )

Sub flags. Use this function to sub flags from the member "runtimeFlags"

References GWENHYWFAR_API.

## GWEN_Param_toDb()

GWENHYWFAR_API int GWEN_Param_toDb | ( | const GWEN_PARAM * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Param_toXml()

GWENHYWFAR_API void GWEN_Param_toXml | ( | const GWEN_PARAM * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Param_Tree_GetByName()

GWENHYWFAR_API GWEN_PARAM * GWEN_Param_Tree_GetByName | ( | const GWEN_PARAM_TREE * | p_tree,
|  | const char * | p_cmp )

References GWENHYWFAR_API.

## GWEN_Param_Type_fromString()

GWENHYWFAR_API GWEN_PARAM_TYPE GWEN_Param_Type_fromString | ( | const char * | p_s | ) |

References GWENHYWFAR_API.

## GWEN_Param_Type_toString()

GWENHYWFAR_API const char * GWEN_Param_Type_toString | ( | GWEN_PARAM_TYPE | p_i | ) |

References GWENHYWFAR_API.

## GWEN_Param_WriteDb()

GWENHYWFAR_API int GWEN_Param_WriteDb | ( | const GWEN_PARAM * | p_struct,
|  | GWEN_DB_NODE * | p_db )

References GWENHYWFAR_API.

## GWEN_Param_WriteXml()

GWENHYWFAR_API void GWEN_Param_WriteXml | ( | const GWEN_PARAM * | p_struct,
|  | GWEN_XMLNODE * | p_db )

References GWENHYWFAR_API.